<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>
  <xsl:strip-space elements="*"/>

  <!-- Override the built-in template (which matches everything and outputs
       the text-only and attribute-only nodes) by a 'no output' template.
       We do this first, so that user-defined templates override this. --> 
  <xsl:template match="//*"></xsl:template>

  <xsl:template match="/arbre/noeud">
    <xsl:value-of select="text()"/><xsl:text>&#xA;</xsl:text>
    <xsl:choose>
      <xsl:when test="@gauche"><xsl:text>gauche&#xA;</xsl:text></xsl:when>
    </xsl:choose>
    <xsl:choose>
      <xsl:when test="@droit"><xsl:text>droit&#xA;</xsl:text></xsl:when>
    </xsl:choose>
  </xsl:template>

  <!-- Root template, to trigger everything on the root node. -->
  <xsl:template match="/">
    <xsl:apply-templates select="//*"/>
  </xsl:template>
</xsl:stylesheet>
